## NAME

s.normal - tests for normality for sites.
(GRASS Sites Program)

## SYNOPSIS

s.normal
s.normal help
s.normal [-q] sites=name [tests=range[,range,...]] [field=value]

## DESCRIPTION

s.normal computes tests of normality on a site list.

## OPTIONS

### Flag:

-q
  Quiet. Cut out the chatter when reading site list.

### Parameters:

sites=name
  Name of sites list.
tests=range[,range,...]]
  Tests of normality requested (see below).
field
  Number of z-field attribute to use for calculation
  default: 1

## NOTES

The tests that s.normal performs are indexed below. The tests that are performed are specified by giving an index, ranges of indices, or multiple thereof.

1. Sample skewness and kurtosis
2. Geary's a-statistic and an approximate normal transformation
3. Extreme normal deviates
4. D'Agostino's D-statistic
5. Modified Kuiper V-statistic
6. Modified Watson U^2-statistic
7. Durbin's Exact Test (modified Kolmogorov)
8. Modified Anderson-Darling statistic
9. Modified Cramer-Von Mises W^2-statistic
10. Kolmogorov-Smirnov D-statistic (modified for normality testing)
11. Chi-Square test statistic (equal probability classes) and the number of degrees of freedom
12. Shapiro-Wilk W Test
13. Weisberg-Binghams W'' (similar to Shapiro-Francia's W')
14. Royston's extension of W for large samples
15. Kotz Separate-Families Test for Lognormality vs. Normality

## EXAMPLE

  s.normal sites=soils tests=1-3,14

computes the sample skewness and kurtosis, Geary's a-statistic and an approximate normal transformation, extreme normal deviates, and Royston's W for the soils site list.

## SEE ALSO

s.univar

## BUGS

Please send all bug fixes and comments to the author or the grass development team.
`http://www.geog.uni-hannover.de/grass/`

## AUTHOR

James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

Last changed: $Date: 2002/01/25 05:45:35 $